PASSWORDMAKER(1)

NAME
passwordmaker - Generates and manages passwords.

SYNOPSIS
passwordmaker [-f <string>] [--search <string>] [-L] [-b] [-0] [-x] [-r <string>] [-a <MD4|MD5|SHA1|SHA256|RIPEMD160>] [--account_skip <integer>] [--account <string>] [-c <string>] [-g <integer>] [-d <string>] [-s <string>] [-p <string>] [-u <string>] [-l <none|before|after|both>] [-e <1|2|3|4|5|6|7|8|9>] [-m <string>] [--] [-v] [-h]

DESCRIPTION
A small, lightweight, free, extension for Internet Explorer, Firefox, Mozilla, Netscape, Flock, and Yahoo! Widgets which creates unique, secure passwords that are very easy for you to retrieve but no one else. Nothing is stored anywhere, anytime, so there's nothing to be hacked, lost, or stolen.

This is the Command Line Version.

CONFIGFILE
passwordmaker by default looks for a Configfile in $HOME/.passwordmaker.rdf. The syntax is compatible to rdf-files generated by the sister-applications for Browsers. (see below) You can simply take a rdf-File and place it in $HOME/.passwordmaker.rdf. An example for the syntax can be found in /usr/share/doc/passwordmaker-cli/passwordmaker.rdf

OPTIONS

-f <string>, --file <string>
    Path/filename to a settings file (value required)

--search <string>
    Search config file for an account matching the supplied URL. If found, that account's settings will be used to generate the password. (value required)

    Example: passwordmaker --search https://yoursite.com/login.phtml

-L, --list
    List all accounts and groups in the config file.

-b, --verbose
    Echo command-line arguments

-0, --trimzeros
    Trim leading zeros from the generated password

-x, --HMAC
    Use the HMAC version of the specified hash algorithm

-r <string>, --url <string>
    URL (equivalent to "Use This URL" in the Firefox/Mozilla extension) (value required)

-a <MD4|MD5|SHA1|SHA256|RIPEMD160>, --alg <MD4|MD5|SHA1|SHA256|RIPEMD160>
    Hash Algorithm (value required)

--account_skip <integer>
    Account skip (value required)

--account <string>
    Account (value required)

-c <string>, --chars <string>
    Characters (value required)

-g <integer>, --length <integer>
    Password Length (value required)

-d <string>, --modifier <string>
    Password Modifier (value required)

-s <string>, --suffix <string>
    Password Suffix (value required)

-p <string>, --prefix <string>
    Password Prefix (value required)

-u <string>, --username <string>
    Username (value required)

-l <none|before|after|both>, --l33t <none|before|after|both>
    Where to use l33t (value required)

-e <1|2|3|4|5|6|7|8|9>, --level <1|2|3|4|5|6|7|8|9>
    l33t level (value required)

-m <string>, --mpw <string>
    Master Password (value required)

--, --ignore_rest
    Ignores the rest of the labeled arguments following this flag.

-v, --version
    Displays version information and exits.

-h, --help
    Displays usage information and exits.

SEE ALSO
http://passwordmaker.org/

AUTHOR
This man page was generated with help2man and reworked by Cord Beermann <cord@debian.org>, maintainer of the Debian package, for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Lesser General Public License Version 2 or later.